Subject: Re: e1000 w/ NAPI + SMP = 99% CPU utilization

From: [email-masked]
Date: Wed, 09 Jun 2004 10:01:02 +0100

Robert Olsson wrote:
> Chris Carpinello writes:
> 
> Hello!
> 
> Is seems like your network load @ ~202 Mbps gets you system into 
> continuing polling as we see very few interrupts on your eth3.
> This means that rx_softirq reschedules itself do_softirq() kicks
> ksoftird to prevent the rx_softirq from monopolize the system.
> So now all the work gets accounted in ksoftird  And by design 
> ->poll is strictly serialized per device to guarantee ordering and 
> avoid cache bouncing we only see one ksoftirq used as use only have 
> one input device.
> 
> Pádraig suggest binding to separate CPU's. This is normally a good 
> thing but as you only have one input device it will not help.

agreed. All traffic is on eth3 so you can't share it over CPUs

> And didn't we just see a fix for ifconfig down oops?

yep, seems like it:
http://marc.theaimsgroup.com/?l=linux-netdev&m=108631346103966&w=2

Pádraig.